<?php 
// FModControl v2.0.0 Copyright (c) Igor Anikeev https://webnav.link/ 2016 - 2024.
?><?php
if(! defined('SYS_LOADER')){die();}
global $lang;
echo "<h1>$lang[Settings]</h1>";
?>
<form method="POST" action="?">
<input type="hidden" name="view" value="settings">
<input type="hidden" name="save" value="1">
<?php
global $admin_lib;

 if(isset($_POST['save'])){
 $res = $admin_lib->save_settings('settings', $_POST['new_sett']);
  if($res == '1'){
  echo msg::success();
  }
  else{
  echo $res;
  }
 }

$sett = usual::get_settings('settings');
usual::errReport(false);
?>

<table class="settbl settings">

<tr class="htr"><td><?php echo $lang['Setting_name']; ?></td><td><?php echo $lang['Setting_value']; ?></td></tr>

<tr class="<?php echo usual::stclass(); ?>"><td><?php echo $lang['Language']; if(usual::current_lang() != usual::$default_lngname){echo ' (language)';} ?></td><td><?php echo $admin_lib->langs_select_box($sett); ?></td></tr>

<tr class="<?php echo usual::stclass(); ?>"><td><?php echo $lang['email_for_notifications'] . ' ' . usual::contextHelp("$lang[email_help1]\n$lang[email_help2]\n$lang[email_help3] " . INC_DIR . '/advanced_config.php or ' . INC_DIR . '/advanced_config.default.php'); ?></td><td><input type="text" name="new_sett[admin_emails]" value="<?php echo $sett['admin_emails']; ?>"></td></tr>

<tr class="<?php echo usual::stclass(); ?>"><td><?php echo $lang['Email_subject_for_notifications']; ?></td><td><input type="text" name="new_sett[mail_subject]" value="<?php echo $sett['mail_subject']; ?>"></td></tr>

<tr class="<?php echo usual::stclass(); ?>"><td colspan="2"><?php echo usual::checkbox('new_sett[mail_no_changes]', $sett['mail_no_changes']) . $lang['Always_send_email'] . ' ' . usual::contextHelp($lang['Always_send_email_help1'] . "\n" . $lang['Always_send_email_help2']); ?></td></tr>

<tr class="<?php echo usual::stclass(); ?>"><td colspan="2"><?php echo usual::checkbox('new_sett[memorize_hash]', $sett['memorize_hash']); echo $lang['Memorize_checksum'] . ' ' . usual::contextHelp("$lang[Memorize_checksum_help1]\n$lang[Memorize_checksum_help2]\n$lang[Memorize_checksum_help3]\n$lang[Memorize_checksum_help4]"); ?></td></tr>

<tr class="<?php echo usual::stclass(); ?>"><td><?php echo $lang['Extension_of_log_files_of_scan_results']; ?></td><td>
<select name="new_sett[log_ext]">
<option value=".txt"<?php if($sett['log_ext'] == '.txt'){echo ' selected="selected"';} ?>>.txt</option>
<option value=".log"<?php if($sett['log_ext'] == '.log'){echo ' selected="selected"';} ?>>.log</option>
</select>
</td></tr>

<tr class="<?php echo usual::stclass(); ?>"><td colspan="2"><?php echo usual::checkbox('new_sett[log_gzip]', $sett['log_gzip']); echo $lang['gzip_compression_logs'] . ' ' . usual::contextHelp($lang['gzip_compression_logs_help']); ?></td></tr>

<tr class="<?php echo usual::stclass(); ?>"><td><?php echo $lang['Send_log_file_by_email']; ?></td><td>
<select name="new_sett[mail_log]">
<option value=""<?php if(empty($sett['mail_log'])){echo ' selected="selected"';} ?>><?php echo $lang['Do_not_send']; ?></option>
<option value="attach"<?php if($sett['mail_log'] == 'attach'){echo ' selected="selected"';} ?>><?php echo $lang['As_an_attachment']; ?></option>
<option value="body"<?php if($sett['mail_log'] == 'body'){echo ' selected="selected"';} ?>><?php echo $lang['In_the_text_of_the_letter']; ?></option>
</select>
</td></tr>

<tr class="<?php echo usual::stclass(); ?>"><td><?php echo $lang['Log_file_storage_time'] . ' ' . usual::contextHelp($lang['Log_file_storage_time_help']); ?></td><td><input type="text" name="new_sett[log_storage_time]" value="<?php echo $sett['log_storage_time']; ?>"></td></tr>

<tr class="<?php echo usual::stclass(); ?>"><td colspan="2"><?php echo usual::checkbox('new_sett[info_in_browser]', $sett['info_in_browser']); echo $lang['Display_scan_results'] . ' ' . usual::contextHelp($lang['Display_scan_results_help']); ?></td></tr>

<tr class="<?php echo usual::stclass(); ?>"><td><?php echo $lang['Resources_priority'] . ' ' . usual::contextHelp("$lang[Resources_priority_help1]\n$lang[Resources_priority_help2]"); ?></td><td>
<select name="new_sett[res_savings]">
<option value="cpu"<?php if($sett['res_savings'] == 'cpu'){echo ' selected="selected"';} ?>><?php echo $lang['Save_CPU']; ?></option>
<option value="mem"<?php if($sett['res_savings'] == 'mem'){echo ' selected="selected"';} ?>><?php echo $lang['Save_memory']; ?></option>
</select>
</td></tr>

</table><br>

<input type="submit" value="<?php echo $lang['Save_changes']; ?>">

</form>
<?php
usual::errReport(true);

function _fmodcontrolConfiguration(&$object, $settings){
return $object->set_settings($settings);
}
?>