<?php 
// FModControl v2.0.0 Copyright (c) Igor Anikeev https://webnav.link/ 2016 - 2024.
?><?php
define('SCRIPT_DIR', dirname(__FILE__));
chdir(SCRIPT_DIR);
define('DATA_DIR', SCRIPT_DIR.'/data');
define('INC_DIR', './inc');
define('DEBUG_MODE', 0);
@ini_set('default_charset', 'utf-8');
header("Pragma: no-cache");
header("Cache-Control: no-cache, must-revalidate");
header("Expires: " . gmdate("D, d M Y H:i:s") . " GMT");
header("Content-type: text/html; charset=utf-8");
 if(file_exists(INC_DIR.'/advanced_config.php')){
 include(INC_DIR.'/advanced_config.php');
 }
 else{
 include(INC_DIR.'/advanced_config.default.php');
 }
require_once(INC_DIR."/usual.php");
require_once(INC_DIR."/fmodcontrol.php");
@ini_set('memory_limit', '128M');
$fmodcontrol = new FModControl;
$fmodcontrol->set_settings(load_config($conf));
echo $fmodcontrol->start();


function load_config($conf){
global $sett;
$sett = usual::get_settings('settings');
 if(count($sett) < 1){
 die('The settings are empty!');
 }
$conf = array_merge($conf, $sett);
$aemls = explode(',', preg_replace('/[\x09\x20]+/', '', $conf['admin_emails']));
$conf['admin_emails'] = array();
 foreach($aemls as $email){
  if($email !== ''){
  array_push($conf['admin_emails'], $email);
  }
 }
$conf['check_files'] = usual::get_sett_in_index_array('check_files');

$conf['ignore_files'] = usual::get_sett_in_index_array('ignore_files');

$conf['lang'] = usual::load_lang('start', false);
return $conf;
}
?>