<?php 
// FModControl v2.0.0 Copyright (c) Igor Anikeev https://webnav.link/ 2016 - 2024.
?><?php
if(! defined('SYS_LOADER')){die();}
global $view, $admin_lib, $lang;
?><!DOCTYPE html>
<html><head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title><?php echo $lang['Administration'] . ' ' . usual::product_name(); ?></title>
<link href="adm/admin.css" rel="stylesheet" type="text/css">
<script type="text/javascript">
function q(text){if(! confirm('<?php echo $lang['Are_you_sure_what_you_want_to']; ?> '+text+'?')){return false;}else{return true;}}
</script>
</head>
<body>
<div class="header">
 <div class="heaBl">
  <div class="hdrLeft"><img src="adm/img/logo.png" alt="<?php echo usual::product_name(); ?>"></div>
  <div class="hdrRight">
   <div class="hrightText"><span class="panelTitle"><?php echo $lang['Administration_panel']; ?></span> <a href="start.php" target="_blank" class="start"><?php echo $lang['Run_scan']; ?></a> <?php echo usual::contextHelp("$lang[You_can_configure_cron]\n<a href=\"?view=start_adr\">($lang[view_the_address])</a>", 'chelp-blue_matte.gif'); ?></div>
  </div>
 </div>
</div>

<ul class="adminMenu">
 <li><a href="?view=settings"><?php echo $lang['Settings']; ?></a> |</li>
 <li><a href="?view=chk_files"><?php echo $lang['Scanned_directories_and_files']; ?></a> |</li>
  <li><a href="?view=logs"><?php echo $lang['Check_results']; ?></a> |</li>
 <li><a href="?view=change_pass"><?php echo $lang['Change_password']; ?></a> |</li>
 <li><a href="?view=about"><?php echo $lang['About_the_program']; ?></a> |</li>
 <li><a href="?view=logout"><?php echo $lang['Log_Out']; ?></a></li>
</ul>

<?php
 if($view !== 'install'){
 echo $admin_lib->check_cookie();
 }
?>
<noscript><p class="err">JavaScript <?php echo $lang['is_disabled_in_browser']; ?></p></noscript>

<div class="content">
<?php echo $admin_lib->load_content(); ?>
</div>

<div class="footer">
 <div class="fooBl">Powered by <a href="https://webnav.link/" target="_blank">WebNav</a></div>
</div>
</body></html>